package com.muyu.common.nacos.remote;

import com.dtflys.forest.annotation.BaseRequest;
import com.dtflys.forest.annotation.Body;
import com.dtflys.forest.annotation.GetRequest;
import com.muyu.common.core.constant.Constants;
import com.muyu.common.nacos.remote.interceptor.NacosNamespaceInterceptor;
import com.muyu.common.nacos.remote.req.ServiceListReq;

/**
 * @Author：yang
 * @Package：com.muyu.common.nacos.remote
 * @Project：cloud-common-nacos-remote
 * @name：NacosServiceApi
 * @Date：2024/8/9 16:59
 */
@BaseRequest(
        baseURL = Constants.HTTP+"#={nacos.addr}/nacos/v1/ns/service",
        interceptor = {NacosNamespaceInterceptor.class}
)
public interface NacosServiceApi {

    @GetRequest(
            url = "/list"
    )
    public void serviceList(@Body ServiceListReq serviceListReq);
}
